ImaReturnCode (Eclipse Amlen Javadoc Reference)

Package com.ibm.ima.plugin

## Class ImaReturnCode

- Object
- - com.ibm.ima.plugin.ImaReturnCode

-     public class ImaReturnCode
      extends Object

  Define a subset of the IBM MessgeSight server return codes which might be visible to the plug-in.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COPYRIGHT` |
    `static int` | `IMARC_AllocateError` | Unable to allocate memory
    `static int` | `IMARC_ArgNotValid` | An argument not valid: name={0}
    `static int` | `IMARC_BadClientData` | The data from the client is not valid
    `static int` | `IMARC_BadClientID` | The ClientID is not valid
    `static int` | `IMARC_BadHTTP` | HTTP handshake failed
    `static int` | `IMARC_BadPropertyName` | The property name is not valid: property={0}
    `static int` | `IMARC_BadPropertyValue` | A property value is not valid: property={0} value={1}
    `static int` | `IMARC_BadSysTopic` | The topic is a system topic
    `static int` | `IMARC_CertificateNotValid` | Certificate not valid
    `static int` | `IMARC_ChangedAuthentication` | The HTTP authentication cannot be changed within a connection
    `static int` | `IMARC_ClientIDConnected` | The client ID is in use by an active connection
    `static int` | `IMARC_ClientIDInUse` | The client ID is already in use
    `static int` | `IMARC_ClientIDNotValid` | The client ID is not valid: {0}
    `static int` | `IMARC_ClientIDRequired` | The client ID is required
    `static int` | `IMARC_Closed` | The object is closed
    `static int` | `IMARC_ClosedByClient` | The connection was closed by the client
    `static int` | `IMARC_ClosedByServer` | The connection was closed by the server
    `static int` | `IMARC_ClosedOnSend` | The connection was closed during a send
    `static int` | `IMARC_ClosedTLSHandshake` | Closed during TLS handshake
    `static int` | `IMARC_ConnectNotAuthorized` | Connection is not authorized
    `static int` | `IMARC_ConnectTimedOut` | The connection timed out
    `static int` | `IMARC_DestinationFull` | The destination is full
    `static int` | `IMARC_DestinationInUse` | The destination is in use
    `static int` | `IMARC_DestNotValid` | The destination name is not valid
    `static int` | `IMARC_Destroyed` | The object is already destroyed
    `static int` | `IMARC_EndpointDisabled` | The connection was closed by an administrator
    `static int` | `IMARC_Error` | System error
    `static int` | `IMARC_ExistingSubscription` | The subscription name being requested already exists
    `static int` | `IMARC_FirstPacketTooBig` | The initial packet is too large
    `static int` | `IMARC_HTTP_BadRequest` | The HTTP request is not valid
    `static int` | `IMARC_HTTP_NotAuthorized` | The HTTP request is not authorized
    `static int` | `IMARC_HTTP_NotFound` | The HTTP request is for an object which does not exist
    `static int` | `IMARC_InvalidParameter` | An invalid parameter was supplied
    `static int` | `IMARC_LockNotGranted` | The lock could not be acquired
    `static int` | `IMARC_MessageNotValid` | The message is not valid
    `static int` | `IMARC_MessagingNotAvailable` | Messaging is not available
    `static int` | `IMARC_MsgTooBig` | The message size is too large for this endpoint.
    `static int` | `IMARC_NameNotValid` | The subscription name is not valid
    `static int` | `IMARC_NoCertificate` | Certificate missing
    `static int` | `IMARC_NoFirstPacket` | No data was received on a connection
    `static int` | `IMARC_NoPingResponse` | The client did not respond to a ping
    `static int` | `IMARC_NoSubscriptions` | There are no subscriptions
    `static int` | `IMARC_NotAuthenticated` | User authentication failed
    `static int` | `IMARC_NotAuthorized` | The operation is not authorized
    `static int` | `IMARC_NotFound` | The requested item is not found
    `static int` | `IMARC_NotImplemented` | The function is not implemented
    `static int` | `IMARC_NullArgument` | A null argument is not allowed
    `static int` | `IMARC_NullPointer` | A null object is not allowed
    `static int` | `IMARC_ObjectNotValid` | The messaging object is not valid
    `static int` | `IMARC_OK` | Success
    `static int` | `IMARC_PingFailed` | Failed to ping client
    `static int` | `IMARC_PropertiesNotValid` | The properties are not valid
    `static int` | `IMARC_RolledBack` | The transaction was rolled back
    `static int` | `IMARC_SendNotAllowed` | The sending of messages to this destination is not allowed
    `static int` | `IMARC_ServerCapacity` | The server capacity is reached
    `static int` | `IMARC_ServerNotAvailable` | Server not available
    `static int` | `IMARC_ServerTerminating` | The connection was closed because the server was shutdown
    `static int` | `IMARC_ShareMismatch` | The consumer must have a matching share with the existing subscription
    `static int` | `IMARC_TimeOut` | The receive timed out
    `static int` | `IMARC_TransactionInUse` | The transaction is associated with another session
    `static int` | `IMARC_UnicodeNotValid` | The Unicode value is not valid

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImaReturnCode()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COPYRIGHT

          public static final String COPYRIGHT

      See Also:
        Constant Field Values

    - #### IMARC_OK

          public static final int IMARC_OK

      Success
      See Also:
        Constant Field Values

    - #### IMARC_DestinationFull

          public static final int IMARC_DestinationFull

      The destination is full
      See Also:
        Constant Field Values

    - #### IMARC_RolledBack

          public static final int IMARC_RolledBack

      The transaction was rolled back
      See Also:
        Constant Field Values

    - #### IMARC_DestinationInUse

          public static final int IMARC_DestinationInUse

      The destination is in use
      See Also:
        Constant Field Values

    - #### IMARC_ClosedByClient

          public static final int IMARC_ClosedByClient

      The connection was closed by the client
      See Also:
        Constant Field Values

    - #### IMARC_ClosedByServer

          public static final int IMARC_ClosedByServer

      The connection was closed by the server
      See Also:
        Constant Field Values

    - #### IMARC_ServerTerminating

          public static final int IMARC_ServerTerminating

      The connection was closed because the server was shutdown
      See Also:
        Constant Field Values

    - #### IMARC_EndpointDisabled

          public static final int IMARC_EndpointDisabled

      The connection was closed by an administrator
      See Also:
        Constant Field Values

    - #### IMARC_ClosedOnSend

          public static final int IMARC_ClosedOnSend

      The connection was closed during a send
      See Also:
        Constant Field Values

    - #### IMARC_Error

          public static final int IMARC_Error

      System error
      See Also:
        Constant Field Values

    - #### IMARC_NotImplemented

          public static final int IMARC_NotImplemented

      The function is not implemented
      See Also:
        Constant Field Values

    - #### IMARC_AllocateError

          public static final int IMARC_AllocateError

      Unable to allocate memory
      See Also:
        Constant Field Values

    - #### IMARC_ServerCapacity

          public static final int IMARC_ServerCapacity

      The server capacity is reached
      See Also:
        Constant Field Values

    - #### IMARC_BadClientData

          public static final int IMARC_BadClientData

      The data from the client is not valid
      See Also:
        Constant Field Values

    - #### IMARC_Closed

          public static final int IMARC_Closed

      The object is closed
      See Also:
        Constant Field Values

    - #### IMARC_Destroyed

          public static final int IMARC_Destroyed

      The object is already destroyed
      See Also:
        Constant Field Values

    - #### IMARC_NullPointer

          public static final int IMARC_NullPointer

      A null object is not allowed
      See Also:
        Constant Field Values

    - #### IMARC_TimeOut

          public static final int IMARC_TimeOut

      The receive timed out
      See Also:
        Constant Field Values

    - #### IMARC_LockNotGranted

          public static final int IMARC_LockNotGranted

      The lock could not be acquired
      See Also:
        Constant Field Values

    - #### IMARC_BadPropertyName

          public static final int IMARC_BadPropertyName

      The property name is not valid: property={0}
      See Also:
        Constant Field Values

    - #### IMARC_BadPropertyValue

          public static final int IMARC_BadPropertyValue

      A property value is not valid: property={0} value={1}
      See Also:
        Constant Field Values

    - #### IMARC_NotFound

          public static final int IMARC_NotFound

      The requested item is not found
      See Also:
        Constant Field Values

    - #### IMARC_ObjectNotValid

          public static final int IMARC_ObjectNotValid

      The messaging object is not valid
      See Also:
        Constant Field Values

    - #### IMARC_ArgNotValid

          public static final int IMARC_ArgNotValid

      An argument not valid: name={0}
      See Also:
        Constant Field Values

    - #### IMARC_NullArgument

          public static final int IMARC_NullArgument

      A null argument is not allowed
      See Also:
        Constant Field Values

    - #### IMARC_MessageNotValid

          public static final int IMARC_MessageNotValid

      The message is not valid
      See Also:
        Constant Field Values

    - #### IMARC_PropertiesNotValid

          public static final int IMARC_PropertiesNotValid

      The properties are not valid
      See Also:
        Constant Field Values

    - #### IMARC_ClientIDNotValid

          public static final int IMARC_ClientIDNotValid

      The client ID is not valid: {0}
      See Also:
        Constant Field Values

    - #### IMARC_ClientIDRequired

          public static final int IMARC_ClientIDRequired

      The client ID is required
      See Also:
        Constant Field Values

    - #### IMARC_ClientIDInUse

          public static final int IMARC_ClientIDInUse

      The client ID is already in use
      See Also:
        Constant Field Values

    - #### IMARC_UnicodeNotValid

          public static final int IMARC_UnicodeNotValid

      The Unicode value is not valid
      See Also:
        Constant Field Values

    - #### IMARC_NameNotValid

          public static final int IMARC_NameNotValid

      The subscription name is not valid
      See Also:
        Constant Field Values

    - #### IMARC_DestNotValid

          public static final int IMARC_DestNotValid

      The destination name is not valid
      See Also:
        Constant Field Values

    - #### IMARC_ConnectNotAuthorized

          public static final int IMARC_ConnectNotAuthorized

      Connection is not authorized
      See Also:
        Constant Field Values

    - #### IMARC_ConnectTimedOut

          public static final int IMARC_ConnectTimedOut

      The connection timed out
      See Also:
        Constant Field Values

    - #### IMARC_PingFailed

          public static final int IMARC_PingFailed

      Failed to ping client
      See Also:
        Constant Field Values

    - #### IMARC_NoPingResponse

          public static final int IMARC_NoPingResponse

      The client did not respond to a ping
      See Also:
        Constant Field Values

    - #### IMARC_ClosedTLSHandshake

          public static final int IMARC_ClosedTLSHandshake

      Closed during TLS handshake
      See Also:
        Constant Field Values

    - #### IMARC_NoFirstPacket

          public static final int IMARC_NoFirstPacket

      No data was received on a connection
      See Also:
        Constant Field Values

    - #### IMARC_FirstPacketTooBig

          public static final int IMARC_FirstPacketTooBig

      The initial packet is too large
      See Also:
        Constant Field Values

    - #### IMARC_BadClientID

          public static final int IMARC_BadClientID

      The ClientID is not valid
      See Also:
        Constant Field Values

    - #### IMARC_ServerNotAvailable

          public static final int IMARC_ServerNotAvailable

      Server not available
      See Also:
        Constant Field Values

    - #### IMARC_MessagingNotAvailable

          public static final int IMARC_MessagingNotAvailable

      Messaging is not available
      See Also:
        Constant Field Values

    - #### IMARC_NoCertificate

          public static final int IMARC_NoCertificate

      Certificate missing
      See Also:
        Constant Field Values

    - #### IMARC_CertificateNotValid

          public static final int IMARC_CertificateNotValid

      Certificate not valid
      See Also:
        Constant Field Values

    - #### IMARC_BadHTTP

          public static final int IMARC_BadHTTP

      HTTP handshake failed
      See Also:
        Constant Field Values

    - #### IMARC_ChangedAuthentication

          public static final int IMARC_ChangedAuthentication

      The HTTP authentication cannot be changed within a connection
      See Also:
        Constant Field Values

    - #### IMARC_NotAuthorized

          public static final int IMARC_NotAuthorized

      The operation is not authorized
      See Also:
        Constant Field Values

    - #### IMARC_NotAuthenticated

          public static final int IMARC_NotAuthenticated

      User authentication failed
      See Also:
        Constant Field Values

    - #### IMARC_TransactionInUse

          public static final int IMARC_TransactionInUse

      The transaction is associated with another session
      See Also:
        Constant Field Values

    - #### IMARC_InvalidParameter

          public static final int IMARC_InvalidParameter

      An invalid parameter was supplied
      See Also:
        Constant Field Values

    - #### IMARC_SendNotAllowed

          public static final int IMARC_SendNotAllowed

      The sending of messages to this destination is not allowed
      See Also:
        Constant Field Values

    - #### IMARC_ExistingSubscription

          public static final int IMARC_ExistingSubscription

      The subscription name being requested already exists
      See Also:
        Constant Field Values

    - #### IMARC_ClientIDConnected

          public static final int IMARC_ClientIDConnected

      The client ID is in use by an active connection
      See Also:
        Constant Field Values

    - #### IMARC_MsgTooBig

          public static final int IMARC_MsgTooBig

      The message size is too large for this endpoint.
      See Also:
        Constant Field Values

    - #### IMARC_BadSysTopic

          public static final int IMARC_BadSysTopic

      The topic is a system topic
      See Also:
        Constant Field Values

    - #### IMARC_ShareMismatch

          public static final int IMARC_ShareMismatch

      The consumer must have a matching share with the existing subscription
      See Also:
        Constant Field Values

    - #### IMARC_NoSubscriptions

          public static final int IMARC_NoSubscriptions

      There are no subscriptions
      See Also:
        Constant Field Values

    - #### IMARC_HTTP_BadRequest

          public static final int IMARC_HTTP_BadRequest

      The HTTP request is not valid
      See Also:
        Constant Field Values

    - #### IMARC_HTTP_NotAuthorized

          public static final int IMARC_HTTP_NotAuthorized

      The HTTP request is not authorized
      See Also:
        Constant Field Values

    - #### IMARC_HTTP_NotFound

          public static final int IMARC_HTTP_NotFound

      The HTTP request is for an object which does not exist
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ImaReturnCode

          public ImaReturnCode()